<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
$banpage=true;
include_once 'sys/inc/user.php';
only_reg();
$set['title']='Вы заблокированы!';
include_once 'sys/inc/thead.php';
title();
err();
echo "<div class='menu_razd'><center><b>Вы забанены за нарушение правил портала Xhata.Su!</b></center></div>\n";


if (!isset($user)){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0')"), 0)==0)
{
header('Location: /index.php?'.SID);exit;
}


mysql_query("UPDATE `ban` SET `view` = '1' WHERE `id_user` = '$user[id]'"); // увидел причину бана

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";





$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_ban']);
echo '<tr><td class="icon14">';
avatar2($ank['id']);

echo '</td><td class="anput">';
echo " <span style=\"color:$ank[ncolor]\">$ank[nick]</span><br /><b>Блокировка до</b> <font color='red'>".vremja($post['time'])."</font><br />\n";
echo "Причина:";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['prich']))))))))."<br />\n";

echo '</td></tr>';

}



echo "</table>\n";
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


echo "<div class='hello'>";
echo "Чтобы больше не возникало подобных ситуаций, рекомендуем Вам изучить <a href=\"/rules.php\">правила</a> нашего сайта<br />\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
?>